- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiObject2 Class Reference

Define a class to add a bit of complexity to OsiObject This assumes 2 way branching. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiObject2:

[legend]
Collaboration diagram for OsiObject2:

[legend]
List of all members.

## Public Member Functions
| OsiObject2 ()
| Default Constructor.
| OsiObject2 (const OsiObject2 &)
| Copy constructor.
OsiObject2 & | operator= (const OsiObject2 &rhs)
| Assignment operator.
virtual | ~OsiObject2 ()
| Destructor.
void | setPreferredWay (int value)
| Set preferred way of branching - -1 off, 0 down, 1 up (for 2-way).
virtual int | preferredWay () const
| Get preferred way of branching - -1 off, 0 down, 1 up (for 2-way).
## Protected Attributes
int | preferredWay_
| Preferred way of branching - -1 off, 0 down, 1 up (for 2-way).
double | otherInfeasibility_
| "Infeasibility" on other way

## Detailed Description

Define a class to add a bit of complexity to OsiObject This assumes 2 way branching.

Definition at line 206 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiObject2::OsiObject2 | ( |  | ) |

Default Constructor.

OsiObject2::OsiObject2 | ( | const OsiObject2 & |  | ) |

Copy constructor.

virtual OsiObject2::~OsiObject2 | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

OsiObject2& OsiObject2::operator= | ( | const OsiObject2 & | rhs | ) |

Assignment operator.

void OsiObject2::setPreferredWay | ( | int | value | ) | `[inline]`

Set preferred way of branching - -1 off, 0 down, 1 up (for 2-way).

Definition at line 223 of file OsiBranchingObject.hpp.

References preferredWay_.

virtual int OsiObject2::preferredWay | ( |  | ) | const`[inline, virtual]`

Get preferred way of branching - -1 off, 0 down, 1 up (for 2-way).

Reimplemented from OsiObject.

Definition at line 227 of file OsiBranchingObject.hpp.

References preferredWay_.

## Member Data Documentation

int OsiObject2::preferredWay_`[protected]`

Preferred way of branching - -1 off, 0 down, 1 up (for 2-way).

Definition at line 231 of file OsiBranchingObject.hpp.

Referenced by preferredWay(), and setPreferredWay().

double OsiObject2::otherInfeasibility_`[mutable, protected]`

"Infeasibility" on other way

Definition at line 233 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.3.0/Osi/src/Osi/OsiBranchingObject.hpp